.oni-article {
  background-color: rgba(0,0,0,0.77);
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Open Sans", "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  font-size: 1.1rem;
  letter-spacing: .05rem;
  line-height: 1.3;
  padding: 3rem 5rem 5rem 5rem;
  overflow-wrap: anywhere;
}

.oni-article h1,
.oni-article h2,
.oni-article h3,
.oni-article h4,
.oni-article h5,
.oni-article h6 {
  color: #f6d8f2;
  font-weight: bold;
  letter-spacing: .2rem;
  line-height: 1.3;
  text-shadow: #b14a98 -4px -4px 4px, #286ad2 -4px 4px 4px;
  text-transform: uppercase;
}

.oni-article h1 {
  font-size: 2.7rem;
}

.oni-article h2 {
  margin-bottom: 1.5rem;
  margin-top: 2rem;
}

.oni-article pre {
  //background-color: rgba(0,0,0,0.87);;
  //box-shadow: #b14a98 -4px -4px 4px, #286ad2 -4px 4px 4px;
  font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  padding: 1rem 2rem;
  overflow-wrap: anywhere;
  word-break: break-all;
  white-space: pre-wrap;
}

.oni-article a:link, .oni-article a:visited {
  color: #2ac131;
  text-decoration: underline;
}

.oni-article a:hover, .oni-article a:active {
  color: lighten(#2ac131, 30%);
  text-decoration: underline;
}

.oni-article img {
  max-width: 100%;
}

@media (max-width: 1200px) {
  .oni-article {
    padding: 0.4rem;
  }
}
